From 79d16d7a9a7f7fe394e24c8d609d25eb9d01b359 Mon Sep 17 00:00:00 2001
From: Marcus Asteborg <maastebo@microsoft.com>
Date: Sun, 7 Jun 2020 21:07:58 -0700
Subject: [PATCH 1/2] Build and run test for cmake build in gitlab-ci

---
 .gitlab-ci.yml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 34847ad0..502b08f2 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -30,5 +30,6 @@ cmake:
       apt-get install -y cmake ninja-build
   script:
     - mkdir build
-    - cmake -S . -B build -G "Ninja" -DCMAKE_BUILD_TYPE=Release
+    - cmake -S . -B build -G "Ninja" -DCMAKE_BUILD_TYPE=Release -DOPUS_BUILD_TESTING=ON -DOPUS_BUILD_PROGRAMS=ON
     - cmake --build build
+    - cd build && ctest --output-on-failure
-- 
2.27.0.windows.1

